Subject: Re: bug#45834: 28.0.50; Mouse events in terminal emacs

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 Sep 2021 16:34:18 +0300

> Date: Wed, 08 Sep 2021 16:28:43 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > No, `C-h k' waits for the next real input event.
> 
> Which is the focus-in event, right?  Or what do you mean by "real
> input event"?

Actually, there could be one more way for us to get that weird echo:
if Emacs thought that "ESC [ I" was a prefix key.  See that dash after
the sequence? that's what Emacs displays after key-echo when it
received a partial sequence, like if you type "C-x" and wait.  So
perhaps somehow Emacs thinks these focus-in events are prefix,
i.e. incomplete key sequence.